Skip to main content
DELETE /v1/agents/{agent_id}/versions/{version}
Deletes one agent version.
  • You cannot delete the version with the production label. Move the label first.
  • You cannot delete the only version.
  • If you delete the latest version, the label moves to the highest remaining version.
DELETE /v1/agents/{agent_id}/prompts/versions/{version} is the deprecated path of this endpoint.

Path parameters

Headers

Response

A 200 response has no body.

Status codes

Example request

Last modified on October 21, 2026